/*constant variables*/
:root {
    --clr-primary: hsl(30, 20%, 98.04%);
    --clr-primary-700: hsl(0, 0%, 20%);

    --clr-border-100: hsl(0, 0%, 100%);

    --clr-accent-100: hsl(32.73, 23.4%, 90.78%);
    --clr-accent-200: hsl(32.73, 11.34%, 80.98%);
    --clr-accent-250: hsl(30, 20%, 80.39%);
    --clr-accent-300: hsl(32.73, 11.34%, 70.98%);
    --clr-accent-400: hsl(20, 8.96%, 73.73%);
    --clr-accent-500: hsl(360, 65%, 29%);
    --clr-accent-900: hsl(0, 0%, 0%);


    --ff-sectionheader: "Newsreader", sans-serif;

    --ff-maintitle: "Cormorant Garamond";

    --ff-bodytext: "Open Sans", sans-serif;

    --ff-primary-400: "Montserrat", sans-serif;


    --fs-footerlinks-90: 0.9rem;

    --fs-buttontext-90: 0.9rem;

    --fs-body-100: 1rem;

    --fs-navlinks-125: 1.1rem;

    --fs-selftitle-150: 1.3rem;

    --fs-gallery-arttitles-160: 1.5rem;

    --fs-gallerytitle-175: 1.75rem;

    --fs-art_title-200: 1.8rem;

    --fs-sectiontitle-800: 3rem;

    --fs-stitlebottom-850: 3.5rem;

    --fs-sitetitle-900: 3.55rem;

    --fs-gallerytitle-950: 3.5rem;
}

.dropdown {
    background-color: var(--clr-primary);
    padding: 10px 0px 10px 10px;
    visibility: hidden;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: var(--clr-accent-200);
    min-width: 60%;
    overflow: auto;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
    padding: 10px;
}

.dropdown-content a {
    color: white;
    padding: 13px 16px;
    text-decoration: none;
    display: block;
}

.dropdown a:hover {
    background-color: #f5f0ed;
    color: black;
}

.show {
    display: block;
}

.menulink {
    border-bottom: 1px solid white;
}


/* General Styling */

body {
    font-size: var(--fs-body-100);
    margin: 0px;
    background-color: var(--clr-primary);
    font-family: var(--ff-bodytext);
    font-weight: 300;
    font-style: normal;
    letter-spacing: 0.1em;
    line-height: 1.2;
    -webkit-text-size-adjust: none;
}

.uppernav {
    display: flex;
    justify-content: space-between;
    background-color: var(--clr-primary);
    padding-top: 10px;
    padding-bottom: 10px;
}

.sitetitle {
    font-family: var(--ff-maintitle);
    font-optical-sizing: auto;
    font-weight: 300;
    font-style: normal;
    font-size: var(--fs-sitetitle-900);
    letter-spacing: 0.1em;
    line-height: 1.2;
}

.selftitles {
    font-family: var(--ff-primary-400);
    font-optical-sizing: auto;
    font-weight: 300;
    font-style: normal;
    font-size: var(--fs-selftitle-150);
    letter-spacing: 0.3em;
    line-height: 1.2;
}

.title_logo_nav {
    text-align: center;
    padding-top: 0px;
    padding-bottom: 60px;
}

.topnav {
    text-align: center;
    padding-top: 15px;
    padding-bottom: 10px;
}

.who_dropdown {
    position: relative;
    display: inline-block;
}

.content {
    display: none;
    position: absolute;
    background-color: var(--clr-accent-100);
    min-width: 180px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
    text-align: left;
    padding-top: 5px;
}

.content a:hover {
    background-color: var(--clr-accent-400);
    color: var(--clr-primary);
}

.wholinks {
    padding: 6px 16px;
    text-decoration: none;
    display: block;
    padding-top: 7px;
    padding-bottom: 7px;
}

.who_dropdown:hover .content {
    display: block;
}

.featured {
    max-width: 100%;
}

.sectiontitle {
    font-family: var(--ff-sectionheader);
    font-optical-sizing: auto;
    font-weight: 200;
    font-style: normal;
    font-size: var(--fs-sectiontitle-800);
}

.recent-work-title {
    display:flex;
    flex-direction: column;
    text-align: center;
}

.recentwork {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 15px;
    padding-top: 50px;
    padding-bottom: 50px;
}

.art_title {
    font-family: var(--ff-sectionheader);
    font-optical-sizing: auto;
    font-weight: 200;
    font-style: normal;
    font-size: var(--fs-art_title-200);
}

.recentwork_descript {
    text-align: center;
    padding: 10px;
    max-width: 400px;
}

.description {
    text-align: left;
    -webkit-text-size-adjust: none;
}

.quote {
    font-style: italic;
    background-color: var(--clr-accent-900);
    color: white;
    padding-top: 5px;
    padding-bottom: 5px;
    padding-left: 15px;
    padding-right: 15px;
    text-align: center;

}

.quote_text {
    padding-left: 10px;
    padding-right:10px;
}

.signature_work {
    text-align: center;
    padding-top: 70px;
    padding-bottom: 30px;
}

.art_galleries {
    display: flex;
    gap: 30px;
    flex-wrap: wrap;
    justify-content: center;
    padding-bottom: 60px;
    text-align: center;
}

.art_galleries img {
    width: 254px;
    height: 401px;
    object-fit: cover;
    cursor: pointer;
    border: 10px solid white;
    box-shadow: 10px 10px 20px grey;

}

.gallery_title {
    display: flex;
    justify-content: center;
    font-weight: 400;
    font-family: var(--ff-sectionheader);
    font-size: var(--fs-gallerytitle-175);


}

.gallery-art-title {
    display: flex;
    justify-content: center;
    font-family: var(--ff-sectionheader);
    font-size: var(--fs-gallery-arttitles-160);
}

.featured_art {
    display: flex;
    gap: 30px;
    flex-wrap: wrap;
    justify-content: center;
    padding-bottom: 75px;
    text-align: center;

}

.featured_art img {
    width: 250px;
    height: 250px;
    object-fit: cover;
    cursor: pointer;
    border: 10px solid white;
    box-shadow: 10px 10px 20px grey;
}

.scripture {
    background-color: var(--clr-accent-250);
    padding-top: 10px;
    padding-bottom: 10px;
    text-align: center;
}

.scripture_text {
    padding-left: 30px;
    padding-right: 30px;
}


/* footer navigation */

.footer-navigation {

    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    padding-top: 30px;
    background-color: hsl(32.73, 20.34%, 90.98%);

}

.footer-logo {
    padding-top: 15px;
    padding-bottom: 5px;
}

.footer-nav {
    text-align: center;
}

.copyright {
    text-align: center;
    padding: 15px;
    background-color:  hsl(32.73, 20.34%, 90.98%);
}


/* Gallery Layout */

.gallery-section-title {
    font-family: var(--ff-sectionheader);
    font-optical-sizing: auto;
    font-weight: 700;
    font-style: normal;
    font-size: var(--fs-gallerytitle-950);
}

.gallery-category {
    text-align: center;
    padding-top: 10px;
    padding-bottom: 30px;
    padding-left: 10px;
    padding-right: 10px;
    border-bottom: 1px solid black;
}

.gallery-art {
    display: flex;
    gap: 30px;
    flex-wrap: wrap;
    justify-content: center;
    text-align: center;

}

.gallery-art img {
    width: 250px;
    height: 250px;
    object-fit: cover;
    cursor: pointer;
    border: 10px solid white;
    box-shadow: 10px 10px 20px grey;
}


.gnav {
    text-align: center;
    padding-bottom: 15px;

}

.gallery-nav {
    text-align: center;
    padding-bottom: 25px;
    padding-top: 25px;

}

/* About section */

.about-title {
    text-align: center;
}

.shannon-pic {
    display: flex;
    justify-content: center;
    padding-top: 50px;
    padding-left: 20px;
    padding-right: 20px;
}

.name-title {
    text-align: center;
    padding-bottom: 30px;
}

.about-main {
    padding-top: 20px;
    padding-bottom: 20px;
    padding-left: 50px;
    padding-right: 50px;
    background-color: var(--clr-accent-100);
}

.myname {
    font-family: var(--ff-maintitle);
    font-size: 2.75rem;
}

.publications {
    padding-top: 30px;
    text-align: center;
}

.pub-list {
    text-align: left;
    padding-left: 20px;
    padding-right: 20px;
    padding-bottom: 30px;
}


/* Link styling */

a:link,
a:visited {
    text-decoration: none;
    color: var(--clr-accent-900);
    font-weight: 900;
    font-size: var(--fs-navlinks-125);
}

a:hover {
    text-decoration: none;
    color: var(--clr-accent-500);
}

.content .wholinks {
    color: var(--clr-accent-900);
}

.navigation_links {
    display: flex;
    gap: 30px;
    justify-content: center;
    list-style-type: none;
    flex-direction: row;
    align-items: center;

}


/* buttons */

.button {
    border-radius: 100vmax;
    padding: 0.85em 1.5em;
    border: 0px;
    background-color: var(--clr-accent-900);
    color: white;
    cursor: pointer;
    font-size: var(--fs-buttontext-90);

}

.viewrecent {
    border-radius: 100vmax;
    padding: 1em 2em;
    border: 0px;
    background-color: var(--clr-accent-900);
    color: white;
    cursor: pointer;
    font-size: var(--fs-buttontext-90);

}


/*Spacing Utility Classes*/

.mobilemenu {
    padding-left: 0px;
    color: var(--clr-accent-900);
}

.logo {
    padding-top: 30px;
}

.artstation {
    padding-right: 20px;
}

.instagram {
    padding-right: 20px;
}

.main {
    max-width: 1920px;

}

.featured_space {
    padding-top: 60px;
}


/*Lightbox styling*/

#lightbox {
    position: fixed;
    z-index: 1000;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    display: none;
}

#lightbox.active {
    display: flex;
    justify-content: center;
    align-items: center;
}

#lightbox img {
    max-width: 90%;
    max-height: 80%;
    padding: 4px;
    background-color: black;
    border: 2px solid white;
}


/* Media Queries */

@media (min-width: 1921px)
{
    .container {
        display: flex;
        justify-content: center;
    }



}

@media (max-width: 868px)
{

    .featured_space {
        padding-top: 0px;
    }

}


@media (max-width: 700px)
{

    .topnav {
        display: none;
    }

    .dropdown {
        visibility: visible;
    }
}


@media (max-width: 610px)
{

    :root {
        --fs-sitetitle-900: 2.75rem;
        --fs-selftitle-150: 1rem;
    }
}

@media (max-width: 469px)
{

    :root {
        --fs-sitetitle-900: 2rem;
        --fs-selftitle-150: .9rem;
    }
}
